<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Web - Style (CSS)</title>
</head>
<body>
    <div>
        <h1>大標題</h1>
        <p>段落文字</p>
        <img src="./static/img/logo.png" alt="">
    </div>
    <hr>
    <h2>style 屬性</h2>
    <div style="width: 300px; background-color: black;">
        <h1 style="color: white; background-color: blue;">大標題</h1>
        <p style="color:red; background-color : green;">段落文字</p>
        <img src="./static/img/logo.png" alt="">
    </div>
    <hr>
    <h2>style 標籤</h2>
    <style>
        .group {
            width: 300px;
            background-color: black;
        }
        .title{
            color: white; 
            background-color: blue;
        }
        .text{
            color:red;
            background-color : green;
        }
    </style>
    <div class = "group">
        <h1 class = "title">大標題</h1>
        <p class = "text">段落文字</p>
        <img src="./static/img/logo.png" alt="">
    </div>
    <hr>
    <h2>css 檔案</h2>
    <link rel="stylesheet" href="./static/css/style.css">
    <div class = "dark-group">
        <h1 class = "dark-title">大標題</h1>
        <p class = "dark-text">段落文字</p>
        <img src="./static/img/logo.png" alt="">
    </div>
    <hr>
    <h2>風格樣式 : 自定義</h2>
    <div class=content>
        <p>Text Text Text Text Text</p>
        <p>Text Text Text Text Text</p>
        <p>Text Text Text Text Text</p>
        <p>Text Text Text Text Text</p>
        <p>Text Text Text Text Text</p>
        <p>Text Text Text Text Text</p>
    </div>
    <hr>
    <h2>前端框架 : jQuery-UI</h2>
    <script src="./static/js/jquery-3.6.0.min.js"></script>
    <script src="./static/js/jquery-ui/jquery-ui.min.js"></script>
    <link rel="stylesheet" href="./static/js/jquery-ui/jquery-ui.min.css">
    <button class="ui-button ui-widget ui-corner-all" onclick="toggle()">Button</button>
    <button id="btnDialog" class="ui-button ui-widget ui-corner-all">Dialog</button>
    <hr>
    <div id="dialog" title="Basic dialog" style="display: none">
        <p>This is the default dialog which is useful for displaying information. The dialog window can be moved, resized and closed with the &apos;x&apos; icon.</p>
    </div>

    <h2 id="dateText">Date Text</h2>
    <p>Date: <input type="text" id="datepicker"></p>
    <hr>
    <h2 class="demoHeaders">Checkboxradio</h2>
    <form style="margin-top: 1em;">
        <div id="radioset">
            <input type="radio" id="radio1" name="radio"><label for="radio1">Choice 1</label>
            <input type="radio" id="radio2" name="radio" checked="checked"><label for="radio2">Choice 2</label>
            <input type="radio" id="radio3" name="radio"><label for="radio3">Choice 3</label>
        </div>
    </form>
    <hr>
    <h2 class="demoHeaders">Selectmenu</h2>
    <select id="selectmenu">
        <option>Slower</option>
        <option>Slow</option>
        <option selected="selected">Medium</option>
        <option>Fast</option>
        <option>Faster</option>
    </select>
    <hr>
    <h2 class="demoHeaders">Datepicker</h2>    
    <div id="datepicker2" align="center"></div>
    <hr>
    <!-- Tooltip -->
    <h2 class="demoHeaders">Tooltip</h2>
    <p id="tooltip">
        <a href="#" title="That&apos;s what this widget is">Tooltips</a> can be attached to any element. When you hover
        the element with your mouse, the title attribute is displayed in a little box next to the element, just like a native tooltip.
    </p>
    <hr>
    <script>
        var $btnDialog = $("#btnDialog");
        var $dateText = $("#dateText");
        $btnDialog.off('click').on('click', function() {
            $("#dialog").dialog();
        })
        $("#datepicker").datepicker();
        $("#datepicker").off('change').on('change', function() {
            var msg = $(this).val();
            $dateText.text(msg);
        })
        $("#radioset").buttonset();
        $("#selectmenu").selectmenu();
        $("#datepicker2").datepicker({
            inline: true
        });
        $("#tooltip").tooltip();
        function toggle(){
            $('.content').toggle(1000);
        }
    </script>
</body>
</html>
